<?php
/** 
* @package		uForum2
* @file		inc/constants.php
* @copyright	2007-2015 (c) PioDer <piotrek@pioder.pl>
* @link    		http://www.pioder.pl/
* @license		see LICENSE.txt
**/

//tables
define('BANLIST_TABLE',DB_PREFIX.'banlist');
define('CATS_TABLE',DB_PREFIX.'categories');
define('CONFIG_TABLE',DB_PREFIX.'config');
define('FORUMS_TABLE',DB_PREFIX.'forums');
define('POSTS_TABLE',DB_PREFIX.'posts');
define('SESSIONS_TABLE',DB_PREFIX.'sessions');
define('USERS_TABLE',DB_PREFIX.'users');
define('USERS_INFO_TABLE',DB_PREFIX.'users_information');
define('TOPICS_TABLE',DB_PREFIX.'topics');

//views
define('FORUMS_VIEW', DB_PREFIX.'view_forums');
define('TOPICS_VIEW', DB_PREFIX.'view_topics');
define('POSTS_VIEW', DB_PREFIX.'view_posts');
define('LOGGED_USERS_VIEW', DB_PREFIX.'view_logged_users');
define('USERS_PC_VIEW', DB_PREFIX.'view_users_post_count');
define('TOPICS_PC_VIEW', DB_PREFIX.'view_topics_post_count');

define('COOKIE_NAME', 'uf2_auth');

define('RANK_USER', 0);
define('RANK_MOD', 1);
define('RANK_ADMIN', 2);

define('POSTING_REPLY', 'reply');
define('POSTING_QUOTE', 'quote');
define('POSTING_EDIT', 'edit');
define('POSTING_NEWTOPIC', 'new_topic');
define('POSTING_EDITTOPIC', 'edit_topic');


$allowed_avatars = array('image/jpeg', 'image/gif', 'image/png');
?>